#
# spec file for package golang-github-philio-gomysql
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-philio-gomysql
Version:        0.0.0+git20110531.e621cd9
Release:        1.1
Summary:        MySQL client library written completely in Go
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/Philio/GoMySQL
Source:         GoMySQL-%{version}.tar.xz
# PATCH-FIX-UPSTREAM marguerite@opensuse.org fix 'err is shadowed'
Patch:		shadowed-err.patch
# PATCH-FIX-UPSTREAM marguerite@opensuse.org fix Atoi64 and such
Patch1:		strconv.patch
# PATCH-FIX-UPSTREAM marguerite@opensuse.org fix crypt/sha1 Sum()
Patch2:		crypt.sum.patch
BuildRequires:  golang-packaging
BuildRequires:	xz
Provides:	go-GoMySQL = %{version}
Obsoletes:	go-GoMySQL < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
The most complete and stable MySQL client library written completely in Go.
The aim of this project is to provide a library with a high level of
usability, good internal error handling and to emulate similar libraries
available for other languages to provide an easy migration of MySQL based
systems into the Go language.

%gosrc_package

%prep
%setup -q -n GoMySQL-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%goprep github.com/Philio/GoMySQL
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc README.markdown LICENSE
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-github-philio-gomysql
- update version 0.0.0+git20110531.e621cd9
- use golang-packaging for packaging
- add patch: shadowed-err.patch
  * fix 'err is shadowed' error
- add patch: strconv.patch
  * fix Atoi64 and such functions
- add patch: crypto.sum.patch
  * fix crypto/sha1 Sum() to Sum(nil)
* Sat Mar 21 2015 i@marguerite.su
- remove go_disable_brp_strip_static_archive usage
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update spec with new package locations
- Add documentation sub package
* Wed Mar  7 2012 graham@andtech.eu
- update specfile
* Mon Feb  6 2012 saschpe@suse.de
- Move to goinstall
* Sat Dec 24 2011 graham@andtech.eu
- Update to work with weekly.2011.12.22
- If db isn't setup, show helpful tips and don't crash
- Remove some unnecessary type assertions
- Add UseResult method on Statement
- fixed to handle null values
- Return an error in UseResult if there's no result set
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Sun May 22 2011 saschpe@gmx.de
- Disable tests for now, needs a running MySQL server
* Sat May 21 2011 saschpe@gmx.de
- Initial version
